-----------------------------------------------
-- guidesBox.lua
-- Edit by Lygin Gennady a.k.a Croc 18.03.2017, 09.09.2018
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
----------------------------------------------
require "locale"
require "closeButton"
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=56
local gg=gn-1
local guidesFrameWidth, guidesFrameHeight = 157+13, 11*gn-4
-----------------------------------------------
-- Set up and Draw the boxes
-----------------------------------------------

-- command's button ---------------------------
guidesBox = CXBox:new()           
    :init(0, 0, 0, 0)
    --:bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

-- frame ---------------------------------------
guidesFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0,0.5,0.5,.5})
    :fillcolor(csetbofill)
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-guidesFrameWidth)/2, height-guidesFrameHeight-2, (width-guidesFrameWidth)/2, 2)  

guidesFrame.Customdraw = function(this) 

        if newwidth ~= width or newheight ~= height then
             newwidth, newheight = width, height                            
             guidesFrame:attach(screenBox, width-guidesFrameWidth-36, height-guidesFrameHeight-128-25, 36, 128+25) 
        end
    
	    textlayout:setfont(normalfont)        
 
        textlayout:setfontcolor({0.2,0.8,1,1})  
	    textlayout:setpos(this.lb+5, this.tb - 11*1)        
        textlayout:println(_("STAR WORLDS:"))  

        textlayout:setfontcolor(cbutextoff)  
	    textlayout:setpos(this.lb+16, this.tb - 11*2)        
        textlayout:println(_("Constellation in English .....")) 

        textlayout:setfontcolor(cbutextoff)  
	    textlayout:setpos(this.lb+16, this.tb - 11*3)        
        textlayout:println(_("Constellations in Russian.."))

	    textlayout:setpos(this.lb+16, this.tb - 11*4)        
        textlayout:println(_("Catalog Messier ..................."))

	    textlayout:setpos(this.lb+16, this.tb - 11*5)        
        textlayout:println(_("Named galaxy ......................."))

	    textlayout:setpos(this.lb+16, this.tb - 11*6)        
        textlayout:println(_("Named nebulae ...................."))

	    textlayout:setpos(this.lb+16, this.tb - 11*7)        
        textlayout:println(_("Named Exoplanets ..............")) 

	    textlayout:setpos(this.lb+16, this.tb - 11*8)        
        textlayout:println(_("Exoplanets ...........................")) 

	    textlayout:setpos(this.lb+16, this.tb - 11*9)        
        textlayout:println(_("Interesting objects ...............")) 
--====================================================	
	
        textlayout:setfontcolor({0.2,0.8,1,1})
       -- textlayout:setfontcolor({1,1,0,1})  
	    textlayout:setpos(this.lb+5, this.tb - 11*10) 		
        textlayout:println(_("PLANETS and MOONS:")) 

        textlayout:setfontcolor(cbutextoff)  
	    textlayout:setpos(this.lb+16, this.tb - 11*11)        
        textlayout:println(_("OBJECTS with locations"))		

        textlayout:setfontcolor(cbutextoff)  
	    textlayout:setpos(this.lb+16, this.tb - 11*12)        
        textlayout:println(_("TERRESTRIAL ...................")) 

 	    textlayout:setpos(this.lb+16, this.tb - 11*13)        
        textlayout:println(_("JUPITER + Moons-1 ..........")) 

        textlayout:setfontcolor({1,1,0,.6})  
	    textlayout:setpos(this.lb+25, this.tb - 11*14)        
        textlayout:println(_("Moons-2 of Jupiter ..........."))

        textlayout:setfontcolor({1,1,0,.6})  
	    textlayout:setpos(this.lb+25, this.tb - 11*15)        
        textlayout:println(_("Moons-3 of Jupiter ..........."))		

        textlayout:setfontcolor(cbutextoff)  
	    textlayout:setpos(this.lb+16, this.tb - 11*16)        
        textlayout:println(_("SATURN + Moons-1 ..........")) 

        textlayout:setfontcolor({1,1,0,.6})  
	    textlayout:setpos(this.lb+25, this.tb - 11*17)        
        textlayout:println(_("Moons-2 of Saturn ...........")) 

        textlayout:setfontcolor(cbutextoff)  
	    textlayout:setpos(this.lb+16, this.tb - 11*18)        
        textlayout:println(_("URANUS + Moons .............")) 

 	    textlayout:setpos(this.lb+16, this.tb - 11*19)        
        textlayout:println(_("NEPTUNE. 3D-Belts ast ...."))
--======================================================

        textlayout:setfontcolor({0.2,0.8,1,1})
 	    textlayout:setpos(this.lb+5, this.tb - 3 - 11*20) 		
        textlayout:println(_("ASTEROIDS and COMETS:")) 

		textlayout:setfontcolor(cbutextoff)
  	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*21)        
        textlayout:println(_("Main Asteroid Belt ..............."))		

  	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*22)        
        textlayout:println(_("Appolo, Atira, Aten ..............")) 

  	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*23)        
        textlayout:println(_("Amurs. Mars-crosser ........."))
		
 	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*24)        
        textlayout:println(_("Jupiter. Named Trojans-1 .."))

	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*25)        
        textlayout:println(_("Jupiter. Named Trojans-2 .."))

	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*26)        
        textlayout:println(_("Jupiter. Named Trojans-3 .."))

        textlayout:setpos(this.lb+16, this.tb - 3 - 11*27)        
         textlayout:println(_("Jupiter. Named Trojans-4 .."))

  	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*28)        
        textlayout:println(_("Asteroids with satellites-1 .."))
		
  	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*29)        
        textlayout:println(_("Asteroids with satellites-2 .."))		

  	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*30)        
        textlayout:println(_("Asteroid SYSTEMS ............"))	

  	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*31)        
        textlayout:println(_("Quest for Ninth Planet ........"))		

   	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*32)        
        textlayout:println(_("Nonperiodic comets ............"))

   	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*33)        
        textlayout:println(_("Nonperiodic comets-2 ........"))
		
   	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*34)        
        textlayout:println(_("Nonperiodic comets-3 ........"))		
--===========================================================
		
        textlayout:setfontcolor({0.2,0.8,1,1})
  	    textlayout:setpos(this.lb+5, this.tb - 3 - 11*35)        
        textlayout:println(_("SPACE EXPLORATION:")) 

        textlayout:setfontcolor(cbutextoff) 
	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*36)        
        textlayout:println(_("Road to Space ......................"))
		
	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*37)        
        textlayout:println(_("Earth-1 ..................................."))
        textlayout:setfontcolor(cbutextoff) 
        
	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*38)        
        textlayout:println(_("Earth-2 ..................................."))

	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*39)        
        textlayout:println(_("Rockets carriers-1 ..............."))
		
	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*40)        
        textlayout:println(_("Rockets carriers-2 ..............."))		
		-----------
	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*41)        
        textlayout:println(_("Mounting of ISS ...................."))
        textlayout:setfontcolor(cbutextoff) 
        
	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*42)        
        textlayout:println(_("Moon. USSR ........................"))

	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*43)        
        textlayout:println(_("Moon. USA ..........................."))

	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*44)        
        textlayout:println(_("Venus ...................................."))

	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*45)        
        textlayout:println(_("Mars ......................................."))

	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*46)        
        textlayout:println(_("Other planets-1 ....................."))
		
	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*47)        
        textlayout:println(_("Other planets-2 ....................."))		

	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*48)        
        textlayout:println(_("Other researches-1 .............."))
		
	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*49)        
        textlayout:println(_("Other researches-2 .............."))		
		
	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*50)        
        textlayout:println(_("Space telescopes-1 ............."))

	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*51)        
        textlayout:println(_("Space telescopes-2 ............."))
		
--===============================================================

        textlayout:setfontcolor({0.2,0.8,1,1})
  
	    textlayout:setpos(this.lb+5, this.tb -4 -11*52)        
        textlayout:println(_("OTHER:")) 

        textlayout:setfontcolor(cbutextoff) 
 	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*53)        
        textlayout:println(_("Fictional-1 .............................."))

        textlayout:setfontcolor(cbutextoff) 
 	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*54)        
        textlayout:println(_("Fictional-2 .............................."))
		

	    textlayout:setpos(this.lb+16, this.tb - 3 - 11*55)        
        textlayout:println(_("Orbital Parameters ................."))		
end
